Bug 1130028 - 'rhc app-show --gears' lists jbossas and jbosseap cartridges four times for scalable apps
Summary: 'rhc app-show --gears' lists jbossas and jbosseap cartridges four times for s...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: oc
Version: 2.2.0
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: ---
: ---
Assignee: Miciah Dashiel Butler Masters
QA Contact: libra bugs
URL:
Whiteboard:
Depends On: 1125926
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-14 08:15 UTC by Gaoyun Pei
Modified: 2015-09-30 16:36 UTC (History)
11 users (show)

Fixed In Version: rhc-1.37.1.2-1.el6op
Doc Type: Bug Fix
Doc Text:
In the output of `rhc app-show <app> --gears`, cartridges for a scalable gear were previously listed by the endpoints they exposed. If a cartridge exposed multiple endpoints, it was listed multiple times in the output of `rhc app-show <app> --gears`. This bug fix updates rhc so that only unique values in the list of cartridges with exposed endpoints are considered, and as a result cartridges with multiple exposed endpoints are only listed once per gear.
Clone Of: 1125926
Environment:
Last Closed: 2015-09-30 16:36:04 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1844 normal SHIPPED_LIVE Important: Red Hat OpenShift Enterprise 2.2.7 security, bug fix and enhancement update 2015-09-30 20:35:28 UTC

Description Gaoyun Pei 2014-08-14 08:15:50 UTC
This bug could be reproduced with rhc-1.29.3.1-1.el6op.noarch.

When showing scalable jbosseap-6 app, would get jbosseap cartridge returned four times.
Not existing on other type of cartridges.


+++ This bug was initially created as a clone of Bug #1125926 +++

Description:
Jbossas and jbosseap cartridges are  displayed four times on scalable apps with 'rhc app-show --gears'
[wzheng@rh6-openshift ~]$ rhc app-show as -g
ID                       State   Cartridges                                          Size  SSH URL
------------------------ ------- --------------------------------------------------- ----- ----------------------------------------------------------------------------
53db61a4dbd93cb8cd00161c started jbossas-7 jbossas-7 jbossas-7 jbossas-7 haproxy-1.4 small 53db61a4dbd93cb8cd00161c@as-lxiasilver.stg.rhcloud.com


Version-Release number of selected component (if applicable):
STG(devenv-stage_939)
rhc-1.28.5

How reproducible:
always
steps to Reproduce:
1. Create a scalable Jbossas-7 or jbosseap app
2. Show the gears with rhc app show $appname -g

Actual results:
There will be four jboss displayed on each gear

Expected results:
The cartridge should be displayed only once:
[wzheng@rh6-openshift ~]$ rhc app-show as -g
ID                       State   Cartridges                                          Size  SSH URL
------------------------ ------- --------------------------------------------------- ----- ----------------------------------------------------------------------------
53db61a4dbd93cb8cd00161c started php-5.4 haproxy-1.4 small 53db61a4dbd93cb8cd00161c@as-lxiasilver.stg.rhcloud.com


Additional info:
Also tried with php-5.4, nodejs-0.10, jbossews, all of them doesn't have this issue.

Comment 1 Timothy Williams 2015-09-21 18:41:08 UTC
This is resolved by https://github.com/openshift/rhc/commit/061f6f0ff39d37ec0a09b6ce9ce3850ed871244f

Comment 3 Yanping Zhang 2015-09-22 03:42:06 UTC
Verified on rhc-1.37.1.2-1.el6op
Steps to verify:
1.Create a scalable jbosseap application.
# rhc app create jbosseap jbosseap-6 -s
2.Show the app with -g option
# rhc app show jbosseap -g
ID                State   Cartridges             Size  SSH URL
----------------- ------- ---------------------- ----- ---------------------------------------------------
domzyp-jbosseap-1 started haproxy-1.4 jbosseap-6 small domzyp-jbosseap-1@jbosseap-domzyp.ose22-auto.com.cn

The jbosseap-6 cartridge is correctly displayed now, so move the bug to Verified.

Comment 5 errata-xmlrpc 2015-09-30 16:36:04 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-1844.html


Note You need to log in before you can comment on or make changes to this bug.